#lang racket/base

(require "solver.rkt")

; Very hard board according to
; https://www.telegraph.co.uk/news/science/science-news/9359579/Worlds-hardest-sudoku-can-you-crack-it.html
;
; Indeed this takes about 10 times as long to solve than the Sudoku board
; example in the Sudoku Wikipedia article.
(define hard-board
  (string->board
    "8-- --- ---
     --3 6-- ---
     -7- -9- 2--
     -5- --7 ---
     --- -45 7--
     --- 1-- -3-
     --1 --- -68
     --8 5-- -1-
     -9- --- 4--"))

(module+ main
  (for ([i (in-range 10)])
    (solve-board hard-board)))
